Constants (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.optional.junitlauncher.confined, class: Constants

Package org.apache.tools.ant.taskdefs.optional.junitlauncher.confined

# Class Constants

java.lang.Object
org.apache.tools.ant.taskdefs.optional.junitlauncher.confined.Constants

public final class Constants extends Object
Constants used within the junitlauncher task

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ARG_LAUNCH_DEFINITION`
  `static final String`
  `ARG_PROPERTIES`
  `static final int`
  `FORK_EXIT_CODE_EXCEPTION`
  `static final int`
  `FORK_EXIT_CODE_SUCCESS`
  `static final int`
  `FORK_EXIT_CODE_TESTS_FAILED`
  `static final int`
  `FORK_EXIT_CODE_TIMED_OUT`
  `static final String`
  `LD_XML_ATTR_CLASS_NAME`
  `static final String`
  `LD_XML_ATTR_EXCLUDE_ENGINES`
  `static final String`
  `LD_XML_ATTR_EXCLUDE_TAGS`
  `static final String`
  `LD_XML_ATTR_HALT_ON_FAILURE`
  `static final String`
  `LD_XML_ATTR_INCLUDE_ENGINES`
  `static final String`
  `LD_XML_ATTR_INCLUDE_TAGS`
  `static final String`
  `LD_XML_ATTR_LISTENER_EXTENSION`
  `static final String`
  `LD_XML_ATTR_LISTENER_RESULT_FILE`
  `static final String`
  `LD_XML_ATTR_LISTENER_USE_LEGACY_REPORTING_NAME`
  `static final String`
  `LD_XML_ATTR_METHODS`
  `static final String`
  `LD_XML_ATTR_OUTPUT_DIRECTORY`
  `static final String`
  `LD_XML_ATTR_PRINT_SUMMARY`
  `static final String`
  `LD_XML_ATTR_SEND_SYS_ERR`
  `static final String`
  `LD_XML_ATTR_SEND_SYS_OUT`
  `static final String`
  `LD_XML_ELM_LAUNCH_DEF`
  `static final String`
  `LD_XML_ELM_LISTENER`
  `static final String`
  `LD_XML_ELM_TEST`
  `static final String`
  `LD_XML_ELM_TEST_CLASSES`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FORK_EXIT_CODE_SUCCESS

    public static final int FORK_EXIT_CODE_SUCCESS
    See Also:
      - Constant Field Values

  - ### FORK_EXIT_CODE_EXCEPTION

    public static final int FORK_EXIT_CODE_EXCEPTION
    See Also:
      - Constant Field Values

  - ### FORK_EXIT_CODE_TESTS_FAILED

    public static final int FORK_EXIT_CODE_TESTS_FAILED
    See Also:
      - Constant Field Values

  - ### FORK_EXIT_CODE_TIMED_OUT

    public static final int FORK_EXIT_CODE_TIMED_OUT
    See Also:
      - Constant Field Values

  - ### ARG_PROPERTIES

    public static final String ARG_PROPERTIES
    See Also:
      - Constant Field Values

  - ### ARG_LAUNCH_DEFINITION

    public static final String ARG_LAUNCH_DEFINITION
    See Also:
      - Constant Field Values

  - ### LD_XML_ELM_LAUNCH_DEF

    public static final String LD_XML_ELM_LAUNCH_DEF
    See Also:
      - Constant Field Values

  - ### LD_XML_ELM_TEST

    public static final String LD_XML_ELM_TEST
    See Also:
      - Constant Field Values

  - ### LD_XML_ELM_TEST_CLASSES

    public static final String LD_XML_ELM_TEST_CLASSES
    See Also:
      - Constant Field Values

  - ### LD_XML_ATTR_HALT_ON_FAILURE

    public static final String LD_XML_ATTR_HALT_ON_FAILURE
    See Also:
      - Constant Field Values

  - ### LD_XML_ATTR_INCLUDE_TAGS

    public static final String LD_XML_ATTR_INCLUDE_TAGS
    See Also:
      - Constant Field Values

  - ### LD_XML_ATTR_EXCLUDE_TAGS

    public static final String LD_XML_ATTR_EXCLUDE_TAGS
    See Also:
      - Constant Field Values

  - ### LD_XML_ATTR_OUTPUT_DIRECTORY

    public static final String LD_XML_ATTR_OUTPUT_DIRECTORY
    See Also:
      - Constant Field Values

  - ### LD_XML_ATTR_INCLUDE_ENGINES

    public static final String LD_XML_ATTR_INCLUDE_ENGINES
    See Also:
      - Constant Field Values

  - ### LD_XML_ATTR_EXCLUDE_ENGINES

    public static final String LD_XML_ATTR_EXCLUDE_ENGINES
    See Also:
      - Constant Field Values

  - ### LD_XML_ATTR_CLASS_NAME

    public static final String LD_XML_ATTR_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### LD_XML_ATTR_METHODS

    public static final String LD_XML_ATTR_METHODS
    See Also:
      - Constant Field Values

  - ### LD_XML_ATTR_PRINT_SUMMARY

    public static final String LD_XML_ATTR_PRINT_SUMMARY
    See Also:
      - Constant Field Values

  - ### LD_XML_ELM_LISTENER

    public static final String LD_XML_ELM_LISTENER
    See Also:
      - Constant Field Values

  - ### LD_XML_ATTR_SEND_SYS_ERR

    public static final String LD_XML_ATTR_SEND_SYS_ERR
    See Also:
      - Constant Field Values

  - ### LD_XML_ATTR_SEND_SYS_OUT

    public static final String LD_XML_ATTR_SEND_SYS_OUT
    See Also:
      - Constant Field Values

  - ### LD_XML_ATTR_LISTENER_RESULT_FILE

    public static final String LD_XML_ATTR_LISTENER_RESULT_FILE
    See Also:
      - Constant Field Values

  - ### LD_XML_ATTR_LISTENER_EXTENSION

    public static final String LD_XML_ATTR_LISTENER_EXTENSION
    See Also:
      - Constant Field Values

  - ### LD_XML_ATTR_LISTENER_USE_LEGACY_REPORTING_NAME

    public static final String LD_XML_ATTR_LISTENER_USE_LEGACY_REPORTING_NAME
    See Also:
      - Constant Field Values